Add a collaborator to a repository
PUT
/repos/{owner}/{repo}/collaborators/{collaborator}
const url = 'https://gitea.example.com/api/v1/repos/example/example/collaborators/example';const options = { method: 'PUT', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"permission":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://gitea.example.com/api/v1/repos/example/example/collaborators/example \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "permission": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
collaborator
required
string
Username of the collaborator to add
Request Body
Section titled “Request Body”AddCollaboratorOption options when adding a user as a collaborator of a repository
object
permission
string
Examplegenerated
{ "permission": "example"}AddCollaboratorOption options when adding a user as a collaborator of a repository
object
permission
string
Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json
APIValidationError is error format response related to input validation
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string